using System;
using System.Collections.Generic;
using System.Linq;

namespace MyApp
{
    public class Program
    {
        public static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);
            int[] spil = new int[n];
            int r = 0;
            string[] kr = Console.ReadLine().Split(' ');
            for(int i = 0; i < n; i++)
            {
                spil[i] = int.Parse(kr[i]);
            }
            for(int i = 0; i < n; i++)
            {
                if(spil[i] == k)
                {
                    int z = i + 1;
                    if (z >= n) z = 0;
                    r = spil[z];
                    break;
                }
            }
            Console.WriteLine(r);
        }
    }
}